# Spend Summary

> Totals for the range and for the previous, equally long range.

Canonical URL: https://docs.botyard.io/docs/api/spend/spend_summary_v1_orgs__org_id__spend_summary_post

`POST /v1/orgs/{org_id}/spend/summary`

Totals for the range and for the previous, equally long range.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `org_id` | path | yes | string |  |

## Request body

`application/json`: SpendSummaryRequest (required)

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `from` | string (date-time) | yes | Inclusive range start |
| `to` | string (date-time) | yes | Exclusive range end |
| `where` | FilterNode_SpendFilterField_ \| null | no | Filter DSL tree, ANDed on top of the org and the range. See FilterNode for the condition / and / or shape. |

## Responses

| Status | Description | Body |
| --- | --- | --- |
| `200` | Successful Response | SpendSummaryResponse |
| `default` | RFC 9457 Problem Details error response | ProblemDetails |

Full schemas: operation `spend_summary_v1_orgs__org_id__spend_summary_post` in the OpenAPI spec at https://api.botyard.io/openapi.json.
